Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.postgres
Class PostgresDdlLexicon

    java.lang.Object
      org.modeshape.sequencer.ddl.StandardDdlLexicon
          org.modeshape.sequencer.ddl.dialect.postgres.PostgresDdlLexicon

    public class PostgresDdlLexicon

extends StandardDdlLexicon

Nested Class Summary
`static class` | `PostgresDdlLexicon.Namespace`

Field Summary
`static Name` | `COMMENT`
`static Name` | `FUNCTION_PARAMETER`
`static Name` | `FUNCTION_PARAMETER_MODE`
`static Name` | `ROLE`
`static Name` | `SCHEMA_NAME`
`static Name` | `TARGET_OBJECT_NAME`
`static Name` | `TARGET_OBJECT_TYPE`
`static Name` | `TYPE_ABORT_STATEMENT`
`static Name` | `TYPE_ALTER_AGGREGATE_STATEMENT`
`static Name` | `TYPE_ALTER_CONVERSION_STATEMENT`
`static Name` | `TYPE_ALTER_DATABASE_STATEMENT`
`static Name` | `TYPE_ALTER_FOREIGN_DATA_WRAPPER_STATEMENT`
`static Name` | `TYPE_ALTER_FUNCTION_STATEMENT`
`static Name` | `TYPE_ALTER_GROUP_STATEMENT`
`static Name` | `TYPE_ALTER_INDEX_STATEMENT`
`static Name` | `TYPE_ALTER_LANGUAGE_STATEMENT`
`static Name` | `TYPE_ALTER_OPERATOR_STATEMENT`
`static Name` | `TYPE_ALTER_ROLE_STATEMENT`
`static Name` | `TYPE_ALTER_SCHEMA_STATEMENT`
`static Name` | `TYPE_ALTER_SEQUENCE_STATEMENT`
`static Name` | `TYPE_ALTER_SERVER_STATEMENT`
`static Name` | `TYPE_ALTER_TABLE_STATEMENT_POSTGRES`
`static Name` | `TYPE_ALTER_TABLESPACE_STATEMENT`
`static Name` | `TYPE_ALTER_TEXT_SEARCH_STATEMENT`
`static Name` | `TYPE_ALTER_TRIGGER_STATEMENT`
`static Name` | `TYPE_ALTER_TYPE_STATEMENT`
`static Name` | `TYPE_ALTER_USER_MAPPING_STATEMENT`
`static Name` | `TYPE_ALTER_USER_STATEMENT`
`static Name` | `TYPE_ALTER_VIEW_STATEMENT`
`static Name` | `TYPE_ANALYZE_STATEMENT`
`static Name` | `TYPE_CLUSTER_STATEMENT`
`static Name` | `TYPE_COMMENT_ON_STATEMENT`
`static Name` | `TYPE_COMMIT_STATEMENT`
`static Name` | `TYPE_COPY_STATEMENT`
`static Name` | `TYPE_CREATE_AGGREGATE_STATEMENT`
`static Name` | `TYPE_CREATE_CAST_STATEMENT`
`static Name` | `TYPE_CREATE_CONSTRAINT_TRIGGER_STATEMENT`
`static Name` | `TYPE_CREATE_CONVERSION_STATEMENT`
`static Name` | `TYPE_CREATE_DATABASE_STATEMENT`
`static Name` | `TYPE_CREATE_FOREIGN_DATA_WRAPPER_STATEMENT`
`static Name` | `TYPE_CREATE_FUNCTION_STATEMENT`
`static Name` | `TYPE_CREATE_GROUP_STATEMENT`
`static Name` | `TYPE_CREATE_INDEX_STATEMENT`
`static Name` | `TYPE_CREATE_LANGUAGE_STATEMENT`
`static Name` | `TYPE_CREATE_OPERATOR_STATEMENT`
`static Name` | `TYPE_CREATE_ROLE_STATEMENT`
`static Name` | `TYPE_CREATE_RULE_STATEMENT`
`static Name` | `TYPE_CREATE_SEQUENCE_STATEMENT`
`static Name` | `TYPE_CREATE_SERVER_STATEMENT`
`static Name` | `TYPE_CREATE_TABLESPACE_STATEMENT`
`static Name` | `TYPE_CREATE_TEXT_SEARCH_STATEMENT`
`static Name` | `TYPE_CREATE_TRIGGER_STATEMENT`
`static Name` | `TYPE_CREATE_TYPE_STATEMENT`
`static Name` | `TYPE_CREATE_USER_MAPPING_STATEMENT`
`static Name` | `TYPE_CREATE_USER_STATEMENT`
`static Name` | `TYPE_DEALLOCATE_STATEMENT`
`static Name` | `TYPE_DECLARE_STATEMENT`
`static Name` | `TYPE_DISCARD_STATEMENT`
`static Name` | `TYPE_DROP_AGGREGATE_STATEMENT`
`static Name` | `TYPE_DROP_CAST_STATEMENT`
`static Name` | `TYPE_DROP_CONSTRAINT_TRIGGER_STATEMENT`
`static Name` | `TYPE_DROP_CONVERSION_STATEMENT`
`static Name` | `TYPE_DROP_DATABASE_STATEMENT`
`static Name` | `TYPE_DROP_FOREIGN_DATA_WRAPPER_STATEMENT`
`static Name` | `TYPE_DROP_FUNCTION_STATEMENT`
`static Name` | `TYPE_DROP_GROUP_STATEMENT`
`static Name` | `TYPE_DROP_INDEX_STATEMENT`
`static Name` | `TYPE_DROP_LANGUAGE_STATEMENT`
`static Name` | `TYPE_DROP_OPERATOR_STATEMENT`
`static Name` | `TYPE_DROP_OWNED_BY_STATEMENT`
`static Name` | `TYPE_DROP_ROLE_STATEMENT`
`static Name` | `TYPE_DROP_RULE_STATEMENT`
`static Name` | `TYPE_DROP_SEQUENCE_STATEMENT`
`static Name` | `TYPE_DROP_SERVER_STATEMENT`
`static Name` | `TYPE_DROP_TABLESPACE_STATEMENT`
`static Name` | `TYPE_DROP_TEXT_SEARCH_STATEMENT`
`static Name` | `TYPE_DROP_TRIGGER_STATEMENT`
`static Name` | `TYPE_DROP_TYPE_STATEMENT`
`static Name` | `TYPE_DROP_USER_MAPPING_STATEMENT`
`static Name` | `TYPE_DROP_USER_STATEMENT`
`static Name` | `TYPE_EXPLAIN_STATEMENT`
`static Name` | `TYPE_FETCH_STATEMENT`
`static Name` | `TYPE_GRANT_ON_DATABASE_STATEMENT`
`static Name` | `TYPE_GRANT_ON_FOREIGN_DATA_WRAPPER_STATEMENT`
`static Name` | `TYPE_GRANT_ON_FOREIGN_SERVER_STATEMENT`
`static Name` | `TYPE_GRANT_ON_FUNCTION_STATEMENT`
`static Name` | `TYPE_GRANT_ON_LANGUAGE_STATEMENT`
`static Name` | `TYPE_GRANT_ON_PROCEDURE_STATEMENT`
`static Name` | `TYPE_GRANT_ON_SCHEMA_STATEMENT`
`static Name` | `TYPE_GRANT_ON_SEQUENCE_STATEMENT`
`static Name` | `TYPE_GRANT_ON_TABLESPACE_STATEMENT`
`static Name` | `TYPE_GRANT_ROLES_STATEMENT`
`static Name` | `TYPE_LISTEN_STATEMENT`
`static Name` | `TYPE_LOAD_STATEMENT`
`static Name` | `TYPE_LOCK_TABLE_STATEMENT`
`static Name` | `TYPE_MOVE_STATEMENT`
`static Name` | `TYPE_NOTIFY_STATEMENT`
`static Name` | `TYPE_PREPARE_STATEMENT`
`static Name` | `TYPE_REASSIGN_OWNED_STATEMENT`
`static Name` | `TYPE_REINDEX_STATEMENT`
`static Name` | `TYPE_RELEASE_SAVEPOINT_STATEMENT`
`static Name` | `TYPE_RENAME_COLUMN`
`static Name` | `TYPE_ROLLBACK_STATEMENT`
`static Name` | `TYPE_SELECT_INTO_STATEMENT`
`static Name` | `TYPE_SHOW_STATEMENT`
`static Name` | `TYPE_TRUNCATE_STATEMENT`
`static Name` | `TYPE_UNLISTEN_STATEMENT`
`static Name` | `TYPE_VACUUM_STATEMENT`

Fields inherited from class org.modeshape.sequencer.ddl.StandardDdlLexicon
`ALL_PRIVILEGES, CHECK_SEARCH_CONDITION, COLLATION_CHARACTER_SET_NAME, COLLATION_NAME, COLLATION_SOURCE, COLUMN_ATTRIBUTE_TYPE, CONSTRAINT_ATTRIBUTE_TYPE, CONSTRAINT_TYPE, CREATE_VIEW_OPTION_CLAUSE, CREATE_VIEW_QUERY_EXPRESSION, DATATYPE_LENGTH, DATATYPE_NAME, DATATYPE_PRECISION, DATATYPE_SCALE, DDL_EXPRESSION, DDL_LENGTH, DDL_ORIGINAL_EXPRESSION, DDL_START_CHAR_INDEX, DDL_START_COLUMN_NUMBER, DDL_START_LINE_NUMBER, DEFAULT_ID_CURRENT_USER, DEFAULT_ID_DATETIME, DEFAULT_ID_LITERAL, DEFAULT_ID_NULL, DEFAULT_ID_SESSION_USER, DEFAULT_ID_SYSTEM_USER, DEFAULT_ID_USER, DEFAULT_OPTION, DEFAULT_PRECISION, DEFAULT_VALUE, DEFERRABLE, DROP_BEHAVIOR, DROP_OPTION_TYPE, EXISTING_NAME, GRANT_PRIVILEGE, GRANTEE, MESSAGE, NEW_NAME, NULLABLE, ON_COMMIT_VALUE, OPTION, PAD_ATTRIBUTE, PAD_ATTRIBUTE_NO_PAD, PAD_ATTRIBUTE_PAD, PARSER_ID, PROBLEM_LEVEL, PROPERTY_VALUE, SOURCE_CHARACTER_SET_NAME, SQL, STATEMENTS_CONTAINER, TARGET_CHARACTER_SET_NAME, TEMPORARY, TYPE, TYPE_ADD_COLUMN_DEFINITION, TYPE_ADD_TABLE_CONSTRAINT_DEFINITION, TYPE_ALTER_COLUMN_DEFINITION, TYPE_ALTER_DOMAIN_STATEMENT, TYPE_ALTER_TABLE_STATEMENT, TYPE_ALTERABLE, TYPE_ASSERTION_OPERAND, TYPE_CHARACTER_SET_OPERAND, TYPE_CLAUSE, TYPE_COLLATION_OPERAND, TYPE_COLUMN_DEFINITION, TYPE_COLUMN_OPERAND, TYPE_COLUMN_REFERENCE, TYPE_CREATE_ASSERTION_STATEMENT, TYPE_CREATE_CHARACTER_SET_STATEMENT, TYPE_CREATE_COLLATION_STATEMENT, TYPE_CREATE_DOMAIN_STATEMENT, TYPE_CREATE_SCHEMA_STATEMENT, TYPE_CREATE_TABLE_STATEMENT, TYPE_CREATE_TRANSLATION_STATEMENT, TYPE_CREATE_VIEW_STATEMENT, TYPE_CREATEABLE, TYPE_DOMAIN_CONSTRAINT, TYPE_DOMAIN_OPERAND, TYPE_DROP_ASSERTION_STATEMENT, TYPE_DROP_CHARACTER_SET_STATEMENT, TYPE_DROP_COLLATION_STATEMENT, TYPE_DROP_COLUMN_DEFINITION, TYPE_DROP_DOMAIN_STATEMENT, TYPE_DROP_SCHEMA_STATEMENT, TYPE_DROP_TABLE_CONSTRAINT_DEFINITION, TYPE_DROP_TABLE_STATEMENT, TYPE_DROP_TRANSLATION_STATEMENT, TYPE_DROP_VIEW_STATEMENT, TYPE_DROPPABLE, TYPE_FK_COLUMN_REFERENCE, TYPE_GRANT_ON_CHARACTER_SET_STATEMENT, TYPE_GRANT_ON_COLLATION_STATEMENT, TYPE_GRANT_ON_DOMAIN_STATEMENT, TYPE_GRANT_ON_TABLE_STATEMENT, TYPE_GRANT_ON_TRANSLATION_STATEMENT, TYPE_GRANT_STATEMENT, TYPE_GRANTABLE, TYPE_INSERT_STATEMENT, TYPE_INSERTABLE, TYPE_MISSING_TERMINATOR, TYPE_OPERAND, TYPE_OPERATION, TYPE_PROBLEM, TYPE_REFERENCE_OPERAND, TYPE_REVOKABLE, TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT, TYPE_REVOKE_ON_COLLATION_STATEMENT, TYPE_REVOKE_ON_DOMAIN_STATEMENT, TYPE_REVOKE_ON_TABLE_STATEMENT, TYPE_REVOKE_ON_TRANSLATION_STATEMENT, TYPE_REVOKE_STATEMENT, TYPE_SCHEMA_OPERAND, TYPE_SET_STATEMENT, TYPE_SETTABLE, TYPE_SIMPLE_PROPERTY, TYPE_STATEMENT, TYPE_STATEMENT_OPTION, TYPE_TABLE_CONSTRAINT, TYPE_TABLE_CONSTRAINT_OPERAND, TYPE_TABLE_OPERAND, TYPE_TABLE_REFERENCE, TYPE_TRANSLATION_OPERAND, TYPE_UNKNOWN_STATEMENT, TYPE_VIEW_OPERAND, VALUE, WITH_GRANT_OPTION`

Constructor Summary
`PostgresDdlLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_CREATE_AGGREGATE_STATEMENT

    public static final Name TYPE_CREATE_AGGREGATE_STATEMENT

### TYPE_CREATE_CAST_STATEMENT

    public static final Name TYPE_CREATE_CAST_STATEMENT

### TYPE_CREATE_CONSTRAINT_TRIGGER_STATEMENT

    public static final Name TYPE_CREATE_CONSTRAINT_TRIGGER_STATEMENT

### TYPE_CREATE_CONVERSION_STATEMENT

    public static final Name TYPE_CREATE_CONVERSION_STATEMENT

### TYPE_CREATE_DATABASE_STATEMENT

    public static final Name TYPE_CREATE_DATABASE_STATEMENT

### TYPE_CREATE_FOREIGN_DATA_WRAPPER_STATEMENT

    public static final Name TYPE_CREATE_FOREIGN_DATA_WRAPPER_STATEMENT

### TYPE_CREATE_FUNCTION_STATEMENT

    public static final Name TYPE_CREATE_FUNCTION_STATEMENT

### TYPE_CREATE_GROUP_STATEMENT

    public static final Name TYPE_CREATE_GROUP_STATEMENT

### TYPE_CREATE_INDEX_STATEMENT

    public static final Name TYPE_CREATE_INDEX_STATEMENT

### TYPE_CREATE_LANGUAGE_STATEMENT

    public static final Name TYPE_CREATE_LANGUAGE_STATEMENT

### TYPE_CREATE_OPERATOR_STATEMENT

    public static final Name TYPE_CREATE_OPERATOR_STATEMENT

### TYPE_CREATE_ROLE_STATEMENT

    public static final Name TYPE_CREATE_ROLE_STATEMENT

### TYPE_CREATE_RULE_STATEMENT

    public static final Name TYPE_CREATE_RULE_STATEMENT

### TYPE_CREATE_SEQUENCE_STATEMENT

    public static final Name TYPE_CREATE_SEQUENCE_STATEMENT

### TYPE_CREATE_SERVER_STATEMENT

    public static final Name TYPE_CREATE_SERVER_STATEMENT

### TYPE_CREATE_TABLESPACE_STATEMENT

    public static final Name TYPE_CREATE_TABLESPACE_STATEMENT

### TYPE_CREATE_TEXT_SEARCH_STATEMENT

    public static final Name TYPE_CREATE_TEXT_SEARCH_STATEMENT

### TYPE_CREATE_TRIGGER_STATEMENT

    public static final Name TYPE_CREATE_TRIGGER_STATEMENT

### TYPE_CREATE_TYPE_STATEMENT

    public static final Name TYPE_CREATE_TYPE_STATEMENT

### TYPE_CREATE_USER_STATEMENT

    public static final Name TYPE_CREATE_USER_STATEMENT

### TYPE_CREATE_USER_MAPPING_STATEMENT

    public static final Name TYPE_CREATE_USER_MAPPING_STATEMENT

### TYPE_DROP_AGGREGATE_STATEMENT

    public static final Name TYPE_DROP_AGGREGATE_STATEMENT

### TYPE_DROP_CAST_STATEMENT

    public static final Name TYPE_DROP_CAST_STATEMENT

### TYPE_DROP_CONSTRAINT_TRIGGER_STATEMENT

    public static final Name TYPE_DROP_CONSTRAINT_TRIGGER_STATEMENT

### TYPE_DROP_CONVERSION_STATEMENT

    public static final Name TYPE_DROP_CONVERSION_STATEMENT

### TYPE_DROP_DATABASE_STATEMENT

    public static final Name TYPE_DROP_DATABASE_STATEMENT

### TYPE_DROP_FOREIGN_DATA_WRAPPER_STATEMENT

    public static final Name TYPE_DROP_FOREIGN_DATA_WRAPPER_STATEMENT

### TYPE_DROP_FUNCTION_STATEMENT

    public static final Name TYPE_DROP_FUNCTION_STATEMENT

### TYPE_DROP_GROUP_STATEMENT

    public static final Name TYPE_DROP_GROUP_STATEMENT

### TYPE_DROP_INDEX_STATEMENT

    public static final Name TYPE_DROP_INDEX_STATEMENT

### TYPE_DROP_LANGUAGE_STATEMENT

    public static final Name TYPE_DROP_LANGUAGE_STATEMENT

### TYPE_DROP_OPERATOR_STATEMENT

    public static final Name TYPE_DROP_OPERATOR_STATEMENT

### TYPE_DROP_OWNED_BY_STATEMENT

    public static final Name TYPE_DROP_OWNED_BY_STATEMENT

### TYPE_DROP_ROLE_STATEMENT

    public static final Name TYPE_DROP_ROLE_STATEMENT

### TYPE_DROP_RULE_STATEMENT

    public static final Name TYPE_DROP_RULE_STATEMENT

### TYPE_DROP_SEQUENCE_STATEMENT

    public static final Name TYPE_DROP_SEQUENCE_STATEMENT

### TYPE_DROP_SERVER_STATEMENT

    public static final Name TYPE_DROP_SERVER_STATEMENT

### TYPE_DROP_TABLESPACE_STATEMENT

    public static final Name TYPE_DROP_TABLESPACE_STATEMENT

### TYPE_DROP_TEXT_SEARCH_STATEMENT

    public static final Name TYPE_DROP_TEXT_SEARCH_STATEMENT

### TYPE_DROP_TRIGGER_STATEMENT

    public static final Name TYPE_DROP_TRIGGER_STATEMENT

### TYPE_DROP_TYPE_STATEMENT

    public static final Name TYPE_DROP_TYPE_STATEMENT

### TYPE_DROP_USER_STATEMENT

    public static final Name TYPE_DROP_USER_STATEMENT

### TYPE_DROP_USER_MAPPING_STATEMENT

    public static final Name TYPE_DROP_USER_MAPPING_STATEMENT

### TYPE_ALTER_AGGREGATE_STATEMENT

    public static final Name TYPE_ALTER_AGGREGATE_STATEMENT

### TYPE_ALTER_CONVERSION_STATEMENT

    public static final Name TYPE_ALTER_CONVERSION_STATEMENT

### TYPE_ALTER_DATABASE_STATEMENT

    public static final Name TYPE_ALTER_DATABASE_STATEMENT

### TYPE_ALTER_FOREIGN_DATA_WRAPPER_STATEMENT

    public static final Name TYPE_ALTER_FOREIGN_DATA_WRAPPER_STATEMENT

### TYPE_ALTER_FUNCTION_STATEMENT

    public static final Name TYPE_ALTER_FUNCTION_STATEMENT

### TYPE_ALTER_GROUP_STATEMENT

    public static final Name TYPE_ALTER_GROUP_STATEMENT

### TYPE_ALTER_INDEX_STATEMENT

    public static final Name TYPE_ALTER_INDEX_STATEMENT

### TYPE_ALTER_LANGUAGE_STATEMENT

    public static final Name TYPE_ALTER_LANGUAGE_STATEMENT

### TYPE_ALTER_OPERATOR_STATEMENT

    public static final Name TYPE_ALTER_OPERATOR_STATEMENT

### TYPE_ALTER_ROLE_STATEMENT

    public static final Name TYPE_ALTER_ROLE_STATEMENT

### TYPE_ALTER_SCHEMA_STATEMENT

    public static final Name TYPE_ALTER_SCHEMA_STATEMENT

### TYPE_ALTER_SEQUENCE_STATEMENT

    public static final Name TYPE_ALTER_SEQUENCE_STATEMENT

### TYPE_ALTER_SERVER_STATEMENT

    public static final Name TYPE_ALTER_SERVER_STATEMENT

### TYPE_ALTER_TABLESPACE_STATEMENT

    public static final Name TYPE_ALTER_TABLESPACE_STATEMENT

### TYPE_ALTER_TEXT_SEARCH_STATEMENT

    public static final Name TYPE_ALTER_TEXT_SEARCH_STATEMENT

### TYPE_ALTER_TRIGGER_STATEMENT

    public static final Name TYPE_ALTER_TRIGGER_STATEMENT

### TYPE_ALTER_TYPE_STATEMENT

    public static final Name TYPE_ALTER_TYPE_STATEMENT

### TYPE_ALTER_USER_STATEMENT

    public static final Name TYPE_ALTER_USER_STATEMENT

### TYPE_ALTER_USER_MAPPING_STATEMENT

    public static final Name TYPE_ALTER_USER_MAPPING_STATEMENT

### TYPE_ALTER_VIEW_STATEMENT

    public static final Name TYPE_ALTER_VIEW_STATEMENT

### TYPE_ALTER_TABLE_STATEMENT_POSTGRES

    public static final Name TYPE_ALTER_TABLE_STATEMENT_POSTGRES

### TYPE_ABORT_STATEMENT

    public static final Name TYPE_ABORT_STATEMENT

### TYPE_ANALYZE_STATEMENT

    public static final Name TYPE_ANALYZE_STATEMENT

### TYPE_CLUSTER_STATEMENT

    public static final Name TYPE_CLUSTER_STATEMENT

### TYPE_COMMENT_ON_STATEMENT

    public static final Name TYPE_COMMENT_ON_STATEMENT

### TYPE_COPY_STATEMENT

    public static final Name TYPE_COPY_STATEMENT

### TYPE_DEALLOCATE_STATEMENT

    public static final Name TYPE_DEALLOCATE_STATEMENT

### TYPE_DECLARE_STATEMENT

    public static final Name TYPE_DECLARE_STATEMENT

### TYPE_DISCARD_STATEMENT

    public static final Name TYPE_DISCARD_STATEMENT

### TYPE_EXPLAIN_STATEMENT

    public static final Name TYPE_EXPLAIN_STATEMENT

### TYPE_FETCH_STATEMENT

    public static final Name TYPE_FETCH_STATEMENT

### TYPE_LISTEN_STATEMENT

    public static final Name TYPE_LISTEN_STATEMENT

### TYPE_LOAD_STATEMENT

    public static final Name TYPE_LOAD_STATEMENT

### TYPE_LOCK_TABLE_STATEMENT

    public static final Name TYPE_LOCK_TABLE_STATEMENT

### TYPE_MOVE_STATEMENT

    public static final Name TYPE_MOVE_STATEMENT

### TYPE_NOTIFY_STATEMENT

    public static final Name TYPE_NOTIFY_STATEMENT

### TYPE_PREPARE_STATEMENT

    public static final Name TYPE_PREPARE_STATEMENT

### TYPE_REASSIGN_OWNED_STATEMENT

    public static final Name TYPE_REASSIGN_OWNED_STATEMENT

### TYPE_REINDEX_STATEMENT

    public static final Name TYPE_REINDEX_STATEMENT

### TYPE_RELEASE_SAVEPOINT_STATEMENT

    public static final Name TYPE_RELEASE_SAVEPOINT_STATEMENT

### TYPE_ROLLBACK_STATEMENT

    public static final Name TYPE_ROLLBACK_STATEMENT

### TYPE_SELECT_INTO_STATEMENT

    public static final Name TYPE_SELECT_INTO_STATEMENT

### TYPE_SHOW_STATEMENT

    public static final Name TYPE_SHOW_STATEMENT

### TYPE_TRUNCATE_STATEMENT

    public static final Name TYPE_TRUNCATE_STATEMENT

### TYPE_UNLISTEN_STATEMENT

    public static final Name TYPE_UNLISTEN_STATEMENT

### TYPE_VACUUM_STATEMENT

    public static final Name TYPE_VACUUM_STATEMENT

### TYPE_COMMIT_STATEMENT

    public static final Name TYPE_COMMIT_STATEMENT

### TYPE_GRANT_ON_SEQUENCE_STATEMENT

    public static final Name TYPE_GRANT_ON_SEQUENCE_STATEMENT

### TYPE_GRANT_ON_DATABASE_STATEMENT

    public static final Name TYPE_GRANT_ON_DATABASE_STATEMENT

### TYPE_GRANT_ON_FOREIGN_DATA_WRAPPER_STATEMENT

    public static final Name TYPE_GRANT_ON_FOREIGN_DATA_WRAPPER_STATEMENT

### TYPE_GRANT_ON_FOREIGN_SERVER_STATEMENT

    public static final Name TYPE_GRANT_ON_FOREIGN_SERVER_STATEMENT

### TYPE_GRANT_ON_FUNCTION_STATEMENT

    public static final Name TYPE_GRANT_ON_FUNCTION_STATEMENT

### TYPE_GRANT_ON_LANGUAGE_STATEMENT

    public static final Name TYPE_GRANT_ON_LANGUAGE_STATEMENT

### TYPE_GRANT_ON_SCHEMA_STATEMENT

    public static final Name TYPE_GRANT_ON_SCHEMA_STATEMENT

### TYPE_GRANT_ON_TABLESPACE_STATEMENT

    public static final Name TYPE_GRANT_ON_TABLESPACE_STATEMENT

### TYPE_GRANT_ON_PROCEDURE_STATEMENT

    public static final Name TYPE_GRANT_ON_PROCEDURE_STATEMENT

### TYPE_GRANT_ROLES_STATEMENT

    public static final Name TYPE_GRANT_ROLES_STATEMENT

### TYPE_RENAME_COLUMN

    public static final Name TYPE_RENAME_COLUMN

### SCHEMA_NAME

    public static final Name SCHEMA_NAME

### FUNCTION_PARAMETER

    public static final Name FUNCTION_PARAMETER

### FUNCTION_PARAMETER_MODE

    public static final Name FUNCTION_PARAMETER_MODE

### ROLE

    public static final Name ROLE

### TARGET_OBJECT_TYPE

    public static final Name TARGET_OBJECT_TYPE

### TARGET_OBJECT_NAME

    public static final Name TARGET_OBJECT_NAME

### COMMENT

    public static final Name COMMENT

Constructor Detail

### PostgresDdlLexicon

    public PostgresDdlLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.